> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Ranking Country🏆

> Get Telegram Top Ranking by Country

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "data": [
      {
        "profile": {
          "masterID": "",
          "url": "https://t.me/nytimes",
          "userID": "1606432449",
          "platform": "telegram",
          "name": "The New York Times",
          "image": "https://6f2859a7-8667-4b05-9978-a8922e29bf1f.selstorage.ru/TG:1606432449?time=1751893336",
          "description": "New York Times coverage from around the world, including the Russia-Ukraine war. Get the latest at https://www.nytimes.com/world",
          "username": "nytimes",
          "country": "united-states",
          "countryCode": "US",
          "city": "",
          "type": "business",
          "gender": "",
          "age": "",
          "verified": true
        },
        "stats": {
          "followers": 177035,
          "avgLikes": 275,
          "avgComments": 0,
          "avgER": 0.0101017465620405,
          "avgInteractions": 302,
          "avgViews": 31098,
          "qualityScore": 0.559125964010283
        }
      }
    ],
    "pagination": {
      "currentPage": 1,
      "totalPages": 1,
      "currentResults": 1,
      "totalCount": 1,
      "nextPage": false
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/telegram-ranking-country
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/telegram-ranking-country:
    get:
      tags:
        - Workflow
      description: Triggers the workflow telegram-ranking-country
      operationId: get_wf_telegram-ranking-country
      parameters:
        - name: country
          in: query
          required: true
          description: >-
            Example: `united-states`. To get the full list of country use this
            endpoint: [Country List](/api-reference/other/countries)
          schema:
            type: string
        - name: page
          in: query
          required: true
          description: Requested page. Every page returns 20 profiles.
          schema:
            type: number
            default: 1
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````